#!/bin/sh
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# Product #5724-C94, 5724-E69, 5724-L72, (C) COPYRIGHT International Business Machines Corp., 2002-2005.
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

success_rc=0
LaunchTitle=$0

echo Start of [ "$LaunchTitle" ]
echo

# in case puiVersionInfo.sh is called from a different dir, cd into dir
cd `echo $0 | sed -e 's/puiVersionInfo\.sh//g'`

# Check that WAS_HOME is set
#if [ -z "${WAS_HOME}" ]; then
#    echo The WAS_HOME env variable MUST be set.  Exiting.
#    echo
#    exit 1
#fi

# Check that JAVA_HOME is set
if [ -z "${JAVA_HOME}" ]; then
    echo The JAVA_HOME env variable MUST be set.  Exiting.
    echo
    exit 1
fi

# Check that java can be found
if [ ! -f "${JAVA_HOME}"/bin/java ]; then
    echo The JAVA_HOME env variable is not set correctly.
    echo Unable to locate bin/java in ${JAVA_HOME}.  Exiting.
    echo
    exit 1
fi

# Check for Check for setupCmdLine.bat
#if [ ! -f "${WAS_HOME}"/bin/setupCmdLine.sh ]; then
#    echo The WAS_HOME env variable is not set correctly.
#    echo Unable to locate WAS setupCmdLine.bat in ${WAS_HOME}.  Exiting.
#    echo
#    exit 1
#fi

#binDir=$WAS_HOME/bin
#. $binDir/setupCmdLine.sh

# Check that PUI_PRODUCT_HOME is set
if [ -z "${PUI_PRODUCT_HOME}" ]; then
    echo The PUI_PRODUCT_HOME env variable MUST be set.  Exiting.
    echo
    exit 1
fi

# Check for version directory
if [ ! -d "${PUI_PRODUCT_HOME}"/config/version -a ! -d "${PUI_PRODUCT_HOME}"/version ]; then
    echo The PUI_PRODUCT_HOME env variable is not set correctly.
    echo Unable to locate version directory below ${PUI_PRODUCT_HOME}.  Exiting.
    echo
    exit 1
fi

# Locate PuiProduct.jar
if [ -f ./PuiProduct.jar ]; then
    PUI_PRODUCT_JAR=./PuiProduct.jar
elif [ -f ../lib/PuiProduct.jar ]; then
    PUI_PRODUCT_JAR=../lib/PuiProduct.jar
else
    echo Cannot locate PuiProduct.jar
    exit 1
fi

# Locate PuiProducts.xml
# If this was installed as part of PUI, always copy in case it changed. 
#   That will be single source.
if [ -f ../PuiProducts.xml ]; then
    cp ../PuiProducts.x* .
 # If this was reports only, PuiProducts.xml should already be here.
elif [ ! -f ./PuiProducts.xml ]; then
    echo Cannot locate PuiProducts.xml
    exit 1
fi

#"${JAVA_HOME}/bin/java" \
#    -Dwas.install.root="${WAS_HOME}" \
#    -Dwps.install.root="${PUI_PRODUCT_HOME}" \
#    -Dws.ext.dirs="${PUI_PRODUCT_JAR}:${WAS_EXT_DIRS}" \
#    -classpath "${WAS_CLASSPATH}" com.ibm.ws.bootstrap.WSLauncher \
#  com.ibm.websphere.product.VersionInfo "$@"

"${JAVA_HOME}/bin/java" \
    -Dwps.install.root="${PUI_PRODUCT_HOME}" \
    -classpath "${PUI_PRODUCT_JAR}"  \
    com.ibm.websphere.product.VersionInfo "$@"

echo End of [ "${LaunchTitle}" ]
echo 
exit ${success_rc}
